import request from '@/utils/request'

// 查询公益报名情况列表
export function listApply(query) {
  return request({
    url: '/szxc/apply/list',
    method: 'get',
    params: query
  })
}

// 查询公益报名情况详细
export function getApply(id) {
  return request({
    url: '/szxc/apply/' + id,
    method: 'get'
  })
}

// 新增公益报名情况
export function addApply(data) {
  return request({
    url: '/szxc/apply',
    method: 'post',
    data: data
  })
}

// 修改公益报名情况
export function updateApply(data) {
  return request({
    url: '/szxc/apply',
    method: 'put',
    data: data
  })
}

// 删除公益报名情况
export function delApply(id) {
  return request({
    url: '/szxc/apply/' + id,
    method: 'delete'
  })
}
